Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591909 - Previewing alert sound in GNOME Sound Preferences requires doubleclicking for successive playback
Summary: Previewing alert sound in GNOME Sound Preferences requires doubleclicking for...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-media
Version: 6.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Bastien Nocera
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 13:28 UTC by Michal Haško
Modified: 2015-03-02 03:59 UTC (History)
3 users (show)

Fixed In Version: gnome-media-2.29.91-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 20:30:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Michal Haško 2010-05-13 13:28:59 UTC
Description of problem:
When testing out the alert sounds in GNOME Sound Preferences and the desired sound is already selected, it takes a double click to hear the sound again instead of a single click.

Version-Release number of selected component (if applicable):
gnome-media-2.29.91-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Open "Sound Preferences" dialog
2. In the Sound Effects tab select any alert sound.
3. Single-click the same sound again.
  
Actual results:
No sound second time.

Expected results:
The same sound should be heard after second click.

Comment 1 RHEL Product and Program Management 2010-05-13 14:06:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Matthias Clasen 2010-05-28 13:17:43 UTC
This is just the difference between selection and activation. 

single-click on non-selected row = selection
double-click on any row = activation
single-click on already-selected row = nothing

The capplet plays the sound when it is selected or when it is activated.

Comment 3 Bastien Nocera 2010-06-02 14:43:46 UTC
Fixed in gnome-media-2.29.91-6.el6

Comment 4 Michal Haško 2010-06-02 15:11:21 UTC
VERIFIED on gnome-media-2.29.91-6.el6

Comment 5 releng-rhel@redhat.com 2010-11-10 20:30:44 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.